Bug 44620 - Cannot install Linux on my Alfa-computer
Cannot install Linux on my Alfa-computer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 15:23 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 09:19:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-14 15:23:54 EDT
Description of Problem:
At the end of the installation from my CD I got an 'internal error' 
message and a recomendation to contact the support at bugzilla. I recieved 
the following message:
' Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ? '
  

How Reproducible:
Every time I tried to install.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Brent Fox 2001-06-14 15:29:31 EDT
Please attach the debug message or I have no hope of knowing what failed.
Comment 2 Brent Fox 2001-06-15 11:10:27 EDT
An email received from tommy.hertzberg@telia.com:

Date: Fri, 15 Jun 2001 07:58:15 +0200
From: "HERTZBERG TOMMY" <tommy.hertzberg@telia.com>
Subject: bug report id=44620
To: <bfox@redhat.com>
X-Mailer: Microsoft Outlook Express 5.00.2615.200

[-- Attachment #1 [details] --]
[-- Type: multipart/alternative, Encoding: 7bit, Size: 0.8K --]

The error message is contained in the attached file.

regards

[-- Attachment #2 [details]: Anacdump.txt --]
[-- Type: text/plain, Encoding: quoted-printable, Size: 1.0K --]

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1470, in doInstall
    self.fstab.turnOnSwap()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 409, in turnOnSwap
    isys.swapon (file)
  File "/usr/lib/anaconda/isys.py", line 142, in swapon
    return _isys.swapon (path)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
path: /tmp/swap/sdb3

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 3 Brent Fox 2001-06-15 11:12:45 EDT
Are you setting mount points for any non-Linux partitions?
Comment 4 Phil Copeland 2001-06-24 15:08:02 EDT
Brent, just a caution,  this is for RH7.0

Tommy, could you tell us what machine type you have? sx164? AS1000? what? and
what addition hardware you may have in it.

If you can, try and install the 'sysreport' rpm and attach it's output to this
bug entry

Thanks

Phil
=--=
Comment 5 Brent Fox 2001-07-06 09:19:20 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.